/*

	ClassicMACD.mq4
	Copyright 2021, Orchard Forex
	https://www.orchardforex.com

*/

#property copyright "Copyright 2021, Orchard Forex"
#property link      "https://www.orchardforex.com"
#property version   "1.00"
#property strict

//	Common code
#include "ClassicMACD.mqh"

//	Handles initialisation specific to mql4
void	VersionInit() {

	//	Nothing for mql4

}

int	TradeCount() {
	int	result	=	0;
	int	count		=	OrdersTotal();
	for (int i=count-1; i>=0; i--) {
		if (!OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) continue;
		if (OrderSymbol()==Symbol() && OrderMagicNumber()==InpMagicNumber) result++;
	}
	return(result);
}

//	Handles trade opening specific to mql4
bool	VersionOpenTrade(ENUM_ORDER_TYPE type, double price, double sl, double tp) {

	return(OrderSend(Symbol(), type, InpOrderSize, price, 0, sl, tp, InpTradeComment, InpMagicNumber)>0);

}


//+------------------------------------------------------------------+
